<?php
global $smof_data;
/**************************************************************
*          All theme Paths 
***************************************************************/
//theme Directory and URI
define('Lioit_DIR', get_template_directory());
define('Lioit_URI', get_template_directory_uri());
//Lioitizat Lioit
define('Lioit_FW', Lioit_DIR . '/Lioit');
define('Lioit_TM', Lioit_FW . '/templates');
define('Lioit_BTN', Lioit_FW . '/tinymce');
//assest
define('Lioit_JS', Lioit_URI . '/js');
define('Lioit_CSS', Lioit_URI . '/css');
define('Lioit_IMG', Lioit_URI . '/images');
define('Lioit_SCRIPTS', Lioit_FW. '/scripts');
define('Lioit_FUN', Lioit_FW . '/functions');
define('Lioit_ADMIN', Lioit_DIR . '/admin');
define('Lioit_META', Lioit_FW . '/metaboxes');
define('Lioit_SC', Lioit_FW . '/shortcodes');
define('Lioit_WIDGET', Lioit_FW . '/widgets');

define( 'RWMB_URL', trailingslashit( get_template_directory_uri() . '/Lioit/meta-box' ) );
define( 'RWMB_DIR', trailingslashit( get_template_directory() . '/Lioit/meta-box' ) );
include_once( RWMB_DIR . 'meta-box.php');
include_once(get_template_directory() .'/Lioit/meta-box/meta-boxes.php');
//Functions

require Lioit_DIR . '/scripts/aq_resizer.php';
require Lioit_FUN . '/functions.php';
require Lioit_FUN . '/rating.php';
require Lioit_FUN . '/pagination.php';
require Lioit_FUN . '/news_tabs.php';
require Lioit_FUN . '/news_small_boxs.php';
require Lioit_FUN . '/news_big_boxs.php';
require Lioit_FUN . '/authors.php';
require Lioit_FUN . '/twitteroauth.php';
require Lioit_FUN . '/custom-style.php';
require Lioit_FUN . '/posttypes.php';
require Lioit_FUN . '/weather.php';
// Custom widgets
require Lioit_WIDGET . '/widget-tabbed.php';
require Lioit_WIDGET . '/widget-latest-posts.php';
require Lioit_WIDGET . '/widget-pop-posts.php';
require Lioit_WIDGET . '/widget-twitter.php';
require Lioit_WIDGET . '/widget-author.php';
require Lioit_WIDGET . '/widget-twitter-follow.php';
require Lioit_WIDGET . '/widget-facebook.php';
require Lioit_WIDGET . '/widget-gplus.php';
require Lioit_WIDGET . '/widget-subscribe.php';
require Lioit_WIDGET . '/social-counter.php';
require Lioit_WIDGET . '/video-widget.php';
require Lioit_WIDGET . '/widget-cat.php';
require Lioit_WIDGET . '/widget-catlist.php';
require Lioit_WIDGET . '/widget-flickr.php';
require Lioit_WIDGET . '/ads125.php';
require Lioit_WIDGET . '/customads.php';
require Lioit_WIDGET . '/ads300.php';
require Lioit_WIDGET . '/ads160.php';
require Lioit_WIDGET . '/widget-login.php';
require Lioit_WIDGET . '/comments-widget.php';
require Lioit_WIDGET . '/postsImages-widget.php';
require Lioit_WIDGET . '/widget-authorinfo.php';
require Lioit_WIDGET . '/widget-recent-video.php';
require Lioit_WIDGET . '/weather.php';
require Lioit_WIDGET . '/widget-bestreviews.php';
//ShortCodes
require Lioit_SC . '/shortcodes.php';
//Tinymce Buttons
require Lioit_FW . '/tinymce/highlight.php';
require Lioit_FW . '/tinymce/quote.php';
require Lioit_FW . '/tinymce/divide.php';
require Lioit_FW . '/tinymce/clear.php';
require Lioit_FW . '/tinymce/tooltip.php';
require Lioit_FW . '/tinymce/buttons.php';
require Lioit_FW . '/tinymce/tabs.php';
require Lioit_FW . '/tinymce/accordion.php';
require Lioit_FW . '/tinymce/columns.php';
require Lioit_FW . '/tinymce/videosc.php';
require Lioit_FW . '/tinymce/box.php';
require Lioit_FW . '/tinymce/dropcap.php';

/*-----------------------------------------------------------------------------------*/
# Theme Support
/*-----------------------------------------------------------------------------------*/

add_theme_support( 'automatic-feed-links' );
add_theme_support( 'woocommerce' );
add_editor_style('custom-editor-style.css');
if ( ! isset( $content_width ) ) 
    $content_width = 1200;

add_theme_support( 'post-thumbnails' );
		if ( function_exists( 'add_theme_support' ) ) {
			set_post_thumbnail_size(110, 96, true);
			add_image_size('fullimg', 1078, 516, true);
			add_image_size('slider1', 700, '', true);
			add_image_size('slider2', 570, '', true);
			add_image_size('featuerdimg', 500, '', true);
			add_image_size('columnsimg', 630, 470, true);
			add_image_size('blocksimg', 570, 470, true);
			add_image_size('main-block', 380, 290, true);
			add_image_size('thumb-small', 180, 135, true);
			add_image_size('galleryadmin-thumb', 90, 90, true); 
			add_image_size('small-block', 270, 200, true); 
			add_image_size( 'fullsize', '', '', true );
		}
